
%define plugin	image
%define name	vdr-plugin-%plugin
%define version	0.2.7
%define rel	6

Summary:	VDR plugin: Image Viewer
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://vdr-image.berlios.de/
Source:		http://download.berlios.de/vdr-image/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi
BuildRequires:	ffmpeg-devel
BuildRequires:	libexif-devel
Requires:	ImageMagick netpbm jpeg-progs

%description
This VDR plugin allows the display of digital images, like jpeg,
tiff, png, bmp and some more, on the TV screen, using the DVB out
device from vdr.

%prep
%setup -q -n %plugin-%version

%vdr_plugin_params_begin %plugin
# command to mount/unmount/eject image sources
var=MOUNT_CMD
param="-m MOUNT_CMD"
default=imagemount.sh
# command for converting images
var=CONVERT_CMD
param="-c CONVERT_CMD"
default=magickplugin.sh
# configuration data directory
# relative to VDR plugin configuration directory
var=CONFIG_PATH
param=--config=CONFIG_PATH
%vdr_plugin_params_end

%build

for dir in libimage liboutput; do
%make -C $dir $dir.a CFLAGS="%optflags -fPIC" CXXFLAGS="%optflags -fPIC"
done

%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_bindir}
install -m755 scripts/mount.sh %{buildroot}%{_bindir}/imagemount.sh
install -m755 scripts/imageplugin.sh %{buildroot}%{_bindir}
install -m755 scripts/magickplugin.sh %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 examples/*.conf %{buildroot}%{_vdr_plugin_cfgdir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY examples TODO LIESMICH
%{_bindir}/imagemount.sh
%{_bindir}/imageplugin.sh
%{_bindir}/magickplugin.sh
%config(noreplace) %{_vdr_plugin_cfgdir}/*.conf




%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.2.7-6mdv2008.1
+ Revision: 145104
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-5mdv2008.1
+ Revision: 103144
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-4mdv2008.0
+ Revision: 50009
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-3mdv2008.0
+ Revision: 42095
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-2mdv2008.0
+ Revision: 22697
- rebuild for new vdr


* Fri Mar 02 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-1mdv2007.0
+ Revision: 130885
- 0.2.7

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-7mdv2007.1
+ Revision: 90933
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-6mdv2007.1
+ Revision: 74031
- rebuild for new vdr
- Import vdr-plugin-image

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-2mdv2007.0
- rebuild for new vdr

* Thu Jul 13 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-1mdv2007.0
- initial Mandriva release

